Option Explicit 'Script written by Russell Loveridge 'Script copyrighted by Call Main() Sub Main() 'declare the variables for the script. Dim strObject, dblSize Dim arrCorn(7) dblSize = Rhino.GetReal("Input the Size of the box", 2) If (VarType(dblSize) = vbNull Or (dblSize <= 0)) Then Exit Sub ' This is an array - a list of points. ' These points define the corners of a box (size x size x size) ' the centre of the base of the box is 0,0,0 arrCorn(0) = Array(((-1*dblSize)/2),((-1*dblSize)/2),0) arrCorn(1) = Array((dblSize/2),((-1*dblSize)/2),0) arrCorn(2) = Array((dblSize/2),(dblSize/2),0) arrCorn(3) = Array(((-1*dblSize)/2),(dblSize/2),0) arrCorn(4) = Array(((-1*dblSize)/2),((-1*dblSize)/2),dblSize) arrCorn(5) = Array((dblSize/2),((-1*dblSize)/2),dblSize) arrCorn(6) = Array((dblSize/2),(dblSize/2),dblSize) arrCorn(7) = Array(((-1*dblSize)/2),(dblSize/2),dblSize) ' strObject is the temporary "identifier" for the box. It is its current name. strObject = Rhino.AddBox (arrCorn) End Sub